// -----------------------------------------------------------------------------------
//
// umFishRT.h                                                  Ulrich Mller   23.5.99
//                                                             Procida 400NT  VC++ 6.0
//
// Basisfunktionen fr die fischertechnik Interfaces (seriell und parallell)
//     einschl. WinRT fr parallel Port
// 
// -----------------------------------------------------------------------------------


typedef struct {
  HANDLE hCom;
  DWORD PortID;
  DWORD LPTDelay;
  DWORD LPTAnalog;
  DWORD InputStatus;
  DWORD MotorStatus;
} ftDCB;

DWORD __stdcall OpenInterface(ftDCB *Interface, LPCSTR ComName);
DWORD __stdcall CloseInterface(ftDCB *Interface);
BOOL  __stdcall GetInput(ftDCB *Interface, DWORD InputNr);
DWORD __stdcall GetInputs(ftDCB *Interface);
DWORD __stdcall ClearMotors(ftDCB *Interface);
DWORD __stdcall SetMotors(ftDCB *Interface, DWORD MotorStatus);
DWORD __stdcall SetLamp(ftDCB *Interface, DWORD LampNr, DWORD OnOff);
DWORD __stdcall SetMotor(ftDCB *Interface, DWORD MotorNr, DWORD Direction);
DWORD __stdcall GetAnalog(ftDCB *Interface, DWORD AnalogNr);
DWORD __stdcall StartDriver();
DWORD __stdcall StopDriver();

const DWORD ftiAus    = 0;
const DWORD ftiEin    = 1;
const DWORD ftiLinks  = 1;
const DWORD ftiRechts = 2;

const DWORD ftiFehler = 0x0001FFFF;
